This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 475542

Summary: [LTC 5.4 FEAT] OpenIPMI utilities and libraries update [201263]
Product: Red Hat Enterprise Linux 5 Reporter: IBM Bug Proxy <bugproxy>
Component: OpenIPMIAssignee: Jan Safranek <jsafrane>
Status: CLOSED ERRATA QA Contact: BaseOS QE <qe-baseos-auto>
Severity: high Docs Contact:
Priority: high    
Version: 5.4CC: jjarvis, jlarrew, kvolny, ofourdan, rvokal, tao
Target Milestone: alphaKeywords: FutureFeature, OtherQA, Rebase
Target Release: 5.4   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
* The OpenIPMI library and applications have been updated to version 2.0.16. This version fixes numerous bugs and adds few minor enhancements. * The ipmitool application has been updated to version 1.8.11. This version fixes numerous bugs and adds several features including: new command line options, for example K_g can be provided in various ways PICMG 2.0, 2.3 and 3.0 support IANA support for Pigeon Point
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-02 05:58:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 488642, 445204, 483784, 488637, 488638, 488646, 488648    

Description IBM Bug Proxy 2008-12-09 11:31:04 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201263]
a. Name of Feature:	Include latest version of OpenIPMI - utilities and libraries
b. Feature Description
Include latest version of OpenIPMI - utilities (ipmitool) and libraries 

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Purely Common Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	no
g. Component Version Target:	latest version is 2.0.14, however, there are functionality and bug
fixes being queued up for a new release

Co-dependent on ipmi driver update.

3. Business Case
The latest version of openIPMI is required to fix outstanding bugs and extensions in the current
version.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Carol Hebert, hebertc@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Julio Alvarez, julioa@us.ibm.com
Comment 1 IBM Bug Proxy 2008-12-09 11:34:56 EST
Co-dependent on ipmi driver update: https://bugzilla.redhat.com/show_bug.cgi?id=475536
Comment 2 John Jarvis 2008-12-23 15:37:32 EST
IBM is signed up to test and provide feedback.
Comment 3 Jan Safranek 2009-02-27 06:59:26 EST
ipmitool updated to ver. 1.8.11.

As result, the -K option does not work as it used
to be.

Ipmitool 1.8.10 in RHEL 5.3:
-K = read kg key from terminal

Ipmitool 1.8.11 in RHEL 5.4:
-K = read kg_key from environment variable IPMI_KGKEY
-Y = read kg key from terminal
Comment 6 John Jarvis 2009-03-04 09:15:50 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 7 Jan Safranek 2009-03-16 12:12:43 EDT
(In reply to comment #0)
> g. Component Version Target: latest version is 2.0.14, however, there are
> functionality and bug
> fixes being queued up for a new release

Do you have any idea when openipmi with these fixes is released?
Comment 8 IBM Bug Proxy 2009-03-16 21:51:01 EDT
(In reply to comment #8)
> (In reply to comment #0)
> > g. Component Version Target: latest version is 2.0.14, however, there are
> > functionality and bug
> > fixes being queued up for a new release
> Do you have any idea when openipmi with these fixes is released?

Version 2.0.16 has just been uploaded to SourceForge.  :-)
Comment 9 Jan Safranek 2009-03-17 05:59:58 EDT
Great, thanks.

RHEL 5.4 will include OpenIPMI-2.0.16 and ipmitool-1.8.11.
Comment 10 Jesse Larrew 2009-04-14 16:41:23 EDT
The deadline for kernel code submissions is quickly approaching. Are there kernel components to this update? If so, are they on track for the 4/23 kernel freeze? If you need help with testing, access to hardware, etc., just let me know. Thanks!

Jesse
Comment 11 Jan Safranek 2009-04-20 04:15:02 EDT
Jesse,

sorry for late response. From my perspective of OpenIPMI user space tools maintainer there is no need for new kernel code.
Comment 13 Chris Ward 2009-06-14 19:18:07 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 14 IBM Bug Proxy 2009-06-24 18:00:43 EDT
------- Comment From hebertc@us.ibm.com 2009-06-24 17:52 EDT-------
(In reply to comment #13)

Hi,

I've run a test suite for ipmi utility and library wellness on the 32- 32XEN 32-PAE kernels on an HS20 and on a 2-node x3950 and also  on the x86_64 and x86_64xen kernels.  All tests passed.

The ipmitool version is verified as 1.8.11:
# ipmitool -V
ipmitool version 1.8.11

The OpenIPMI Library version is verified as 2.0.16-1:
# rpm -qa |grep IPMI
OpenIPMI-tools-2.0.16-1.el5
OpenIPMI-2.0.16-1.el5
OpenIPMI-libs-2.0.16-1.el5

All looks good -- thanks.
Comment 17 Jan Safranek 2009-06-29 05:39:11 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* The OpenIPMI library and applications have been updated to version 2.0.16. 
This version fixes numerous bugs and adds few minor enhancements.

* The ipmitool application has been updated to version 1.8.11. This version
fixes numerous bugs and adds several features including:
new command line options, for example K_g can be provided in various ways
PICMG 2.0, 2.3 and 3.0 support
IANA support for Pigeon Point
Comment 22 errata-xmlrpc 2009-09-02 05:58:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1312.html
Comment 24 IBM Bug Proxy 2011-02-22 05:14:36 EST
------- Comment From prem.karat@linux.vnet.ibm.com 2011-02-22 05:04 EDT-------
(In reply to comment #16)
> An advisory has been issued which should help the problem
> described in this bug report. This report is therefore being
> closed with a resolution of ERRATA. For more information
> on therefore solution and/or where to find the updated files,
> please follow the link below. You may reopen this bug report
> if the solution does not work for you.
>
> http://rhn.redhat.com/errata/RHEA-2009-1312.html

***Reviewed as a part of clean up activity********

Closing this one out as per the last comment

Cheers,
Prem